
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>hihocoder 1331 - 扩展二进制数 - [hiho一下168周] / 憋错料</title>

    <meta name="description" content="hihocoder 1331 - 扩展二进制数 - [hiho一下168周] 题目链接:http://hihocoder.com/problemset/problem/1331 时间限制:10000ms 单点时限:1000ms 内存限制:256MB 描述 我们都知道二进制数的每一位可以是0或1.有一天小Hi突发奇想:如果允许使用数字2会发生什么事情?小Hi称其为扩展二进制数,例如(21)ii = 2 * 21 + 1 = 5, (112)ii = 1 * 22 + 1 * 21 + 2 = 8. 很快小Hi意识到在扩展二进制中,每个数的表示方法不是唯一的.例如8还可以有(">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">hihocoder 1331 - 扩展二进制数 - [hiho一下168周]</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>题目链接：<a href="http://hihocoder.com/problemset/problem/1331" rel="external nofollow noreferrer">http://hihocoder.com/problemset/problem/1331</a></p>
<p>时间限制:10000ms</p>
<p>单点时限:1000ms</p>
<p>内存限制:256MB</p>
<h3>描述</h3>
<p>我们都知道二进制数的每一位可以是0或1。有一天小Hi突发奇想：如果允许使用数字2会发生什么事情？小Hi称其为扩展二进制数，例如(21)ii&nbsp;= 2 * 21&nbsp;+ 1 = 5, (112)ii&nbsp;= 1 * 22&nbsp;+ 1 * 21&nbsp;+ 2 = 8。</p>
<p>很快小Hi意识到在扩展二进制中，每个数的表示方法不是唯一的。例如8还可以有(1000)ii, (200)ii, (120)ii&nbsp;三种表示方法。</p>
<p>对于一个给定的十进制数&nbsp;<var>N</var>&nbsp;，小Hi希望知道它的扩展二进制表示有几种方法？</p>
<h3>输入</h3>
<p>一个十进制整数&nbsp;<var>N</var>。(0 ≤&nbsp;<var>N</var>&nbsp;≤ 1000000000)</p>
<h3>输出</h3>
<p>N的扩展二进制表示数目。</p>
<dl>
<dt>样例输入</dt>
<dt>8</dt>
<dt></dt>
<dt>样例输出</dt>
<dt>4</dt>
</dl>
<p>题解：</p>
<p>可以通过从低位到高位一位一位确定数字来做；</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzExMDMxOTgvMjAxNzA5LzExMDMxOTgtMjAxNzA5MTcxMDI2NTA2NDEtMTA2NjU1NDU4NC5wbmc=.jpg"></p>
<p>那如果这个数n是奇数，显然它的最低位只能为1，那么接下来要处理的数字是(n-1)/2；</p>
<p>这样就可以用一种类似于树结构的递归函数来做这道题目。</p>
<p>AC代码：</p>
<pre> 1 #include&lt;cstdio&gt;
 2 int cnt(int n)
 3 {
 4     if(n==0 || n==1) return 1;
 5
 6     if(n%2) return cnt((n-1)/2);
 7     else return cnt(n/2)+cnt(n/2-1);
 8 }
 9 int main()
10 {
11     int n;
12     scanf("%d",&amp;n);
13     printf("%d\n",cnt(n));
14 }</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-01-31 19:31:44 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/log/" title="log">log</a>, <a href="https://www.biecuoliao.com/tag/targe/" title="targe">targe</a>, <a href="https://www.biecuoliao.com/tag/%e6%97%b6%e9%97%b4/" title="时间">时间</a>, <a href="https://www.biecuoliao.com/tag/com/" title="&period;com">&period;com</a>, <a href="https://www.biecuoliao.com/tag/%e6%8a%80%e6%9c%af/" title="技术">技术</a>, <a href="https://www.biecuoliao.com/tag/tar/" title="tar">tar</a>, <a href="https://www.biecuoliao.com/tag/src/" title="src">src</a>, <a href="https://www.biecuoliao.com/tag/%e8%be%93%e5%85%a5/" title="输入">输入</a>, <a href="https://www.biecuoliao.com/tag/%e6%95%b4%e6%95%b0/" title="整数">整数</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>hihocoder 1331 - 扩展二进制数 - [hiho一下168周]的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3r57w90.html" rel="bookmark">hihocoder 1330 - 数组重排 - &lbrack;hiho一下167周&rsqb;&lbrack;最小公倍数&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目链接:https://hihocoder.com/problemset/problem/1330 时间限制:10000ms 单点时限:1000ms 内存限制:256MB 描述 小Hi想知道,如果他每次都按照一种固定的顺序重排数组,那么最少经过几次重排之后数组会恢复初始的顺序? 具体来讲,给定一个1 - N 的排列 P,小Hi每次重排都是把第 i 个元素放到第 Pi个位置上.例如对于 P = (2, 3, 1),假设初始数组是(1, 2, 3),重排一次之后变为(3, 1, 2),重排两次之后			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0d27wn4.html" rel="bookmark">hihocoder 1320 - 压缩字符串 - &lbrack;hiho一下160周&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这道题目可以说是一道非常好非常一颗赛艇的DP题了. 需要注意的是,其中情形3),字符串必然能完全转化为 N(str)形式,如果有N(str1)M(str2)等等另外样式,应该首先使用拼接形式对其进行划分. 那么,我们首先考虑写一个用来压缩情形3)下的字符串的函数zip(): 1 char str[105]; 2 int bit(int n) 3 { 4 int cnt=0; 5 while(n&gt;0) 6 { 7 n/=10; 8 cnt++; 9 } 10 return cnt; 11 } 12			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGGnBAM.html" rel="bookmark">欧拉路径 提高篇 hiho第51周</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目链接:hiho 第51周 思路:首先特判n=1的情况,无输出.对于其他的按有向欧拉路径的求法把欧拉路径求出来以后,第一个按位全输出,接下来的的(2^n-1)个点,只需要输出二进制最后一位就可以了.详细的思路参考hiho 第51周 /************************************************************** Problem:hiho 第51周 User: youmi Language: C++ Result: Accepted Time:17m			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Q8DLN3.html" rel="bookmark">欧拉路径 基础题 hiho第49周</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目链接:hiho 第49周 思路: 定义:给定无孤立结点图G,若存在一条路,经过图中每边一次且仅一次,该条路称为欧拉路. 性质:  1: 一个无向图存在欧拉路当且仅当该图是连通的且有且只有2个点的度数是奇数,此时这两个点只能作为欧拉路径的起点和终点.  2: 若图中没有奇数度的点,那么起点和终点一定是同一个点,这样的欧拉路叫做欧拉回路 利用性质做题就好了,具体的模拟hiho讲的非常清楚了 /****************************************************			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0n6WQv0.html" rel="bookmark">hiho 第1周 最长回文子串（manacher）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				裸题.原理看代码很好理解的. 1 //hiho 第1周 2 #include &lt;set&gt; 3 #include &lt;map&gt; 4 #include &lt;queue&gt; 5 #include &lt;deque&gt; 6 #include &lt;stack&gt; 7 #include &lt;cmath&gt; 8 #include &lt;cstdio&gt; 9 #include &lt;vector&gt; 10 #include &lt;string&gt; 11			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nv5ox0.html" rel="bookmark">hihoCoder 骨牌覆盖问题&amp;&num;183&semi;一  hiho一下 第四十一周</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				时间限制:10000ms 单点时限:1000ms 内存限制:256MB 描述 骨牌,一种古老的玩具.今天我们要研究的是骨牌的覆盖问题:我们有一个2xN的长条形棋盘,然后用1x2的骨牌去覆盖整个棋盘.对于这个棋盘,一共有多少种不同的覆盖方法呢?举个例子,对于长度为1到3的棋盘,我们有下面几种覆盖方式: 提示:骨牌覆盖 提示:如何快速计算结果 输入 第1行:1个整数N.表示棋盘长度.1≤N≤100,000,000 输出 第1行:1个整数,表示覆盖方案数 MOD 19999997 样例输入 62247			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dA6r73.html" rel="bookmark">hihoCoder  hiho一下 第一周 &num;1032 &colon; 最长回文子串   &lpar;特殊处理&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				思路: (1)暴力穷举.O(n^3) -----绝对不行. 穷举所有可能的出现子串O(n^2),再判断是否回文O(n).就是O(n*n*n)了. (2)记录位置.O(n^3) -----绝对不行. 先扫一遍,记录每个字符在上一次出现的位置pos.每次考虑第i个字符,如果回文子串包括 i 的话,那么肯定在i的前面有一个跟第i个字符是一样的,利用之前记录的位置pos[i]可以找到与第i个相同的字符,如果i-pos[i]比之前发现的最长的子串max还短,那么不用比较了.如果更前面还有和第i个字符一样的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49ZNAbM.html" rel="bookmark">hihocoder 1323 - 回文字符串 - &lbrack;hiho一下162周&rsqb;&lbrack;区间dp&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用dp[i][j]表示把[i,j]的字符串str改写成回文串需要的最小操作步数. 并且假设所有dp[ii][jj] (ii&gt;i , jj&lt;j)都为已知,即包括dp[i+1][j].dp[i][j-1].dp[i+1][j-1]这三者都已知,则: 1. 如果str[i]==str[j],那么dp[i][j]=dp[i+1][j-1]: 2. 否则dp[i][j]可以分为: ①&quot;一个字符&quot;+&quot;一个回文串&quot;型:那么我们可以在str[i,j]后面加上一个字符,或			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDdopwM.html" rel="bookmark">hihoCoder hiho一下 第二周 &num;1014 &colon; Trie树（Trie树基本应用）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				思路:完全看题目中的介绍就行了.还有里面的input写道:不保证是英文单词,也有可能是火星文单词哦.比赛结束后的提交是不用考虑26个字母之外的,都会AC,如果考虑128种可能的话,爆了内存.步骤就是,在插单词的同时记录该结点之后的单词数,查词就查最后一个字母所在结点上的单词数. 1 #include &lt;iostream&gt; 2 #include &lt;cstring&gt; 3 #include &lt;vector&gt; 4 #include &lt;stdio.h&gt; 5 using			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0nYZ7M.html" rel="bookmark" class="title">Handler和Message详解</a>
					<div>
						Android开发中Handler的经典总结 当应用程序启动时,Android首先会开启一个主线程(也就是UI线程),主线程为管理界面中的UI控件,进行事件分发. 一.Handler的定义: 主要接受 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r5Ovw0.html" rel="bookmark" class="title">dsgkjhdaslkjglkdsjlkgh 好的开始计划公开</a>
					<div>
						https://www.goodreads.com/topic/show/2792654 https://www.goodreads.com/topic/show/2792758 https://ww ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lr9ZZ4.html" rel="bookmark" class="title">rightTeam SCRUM第一个冲刺周期第二天</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEkY1R3.html" rel="bookmark" class="title">中文数字转阿拉伯数字</a>
					<div>
						package com.test.utils.utils; import java.util.HashMap; import java.util.LinkedHashMap; import java. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e5ap50.html" rel="bookmark" class="title">配置和使用连接池</a>
					<div>
						1.在Tomcat中配置和使用连接池 (1)将JDBC的驱动复制到Tomcat的lib之下(如apache-tomcat-6.0.45\lib),如下图所示 2.在JBoss中配置和使用连接池					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXLlebM.html" rel="bookmark" class="title">OI中整数的读入优化</a>
					<div>
						将整数一个字符一个字符地读入,再转成整数,比直接作为整数读入快. 在读入大规模的整数数据时比较有效. 代码如下: inline void read_int(int &amp;num) { char c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Moxozl0.html" rel="bookmark" class="title">netty 学习记录二</a>
					<div>
						netty 最新版本是netty-5.0.0.Alpha1,去年10月份发布的,至今没有发新版本,估计这个版本还是比较稳定. 整包下载,里面包含一个 netty-example-5.0.0.Alpha ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qaB2a3.html" rel="bookmark" class="title">河南千余新型农村社区停建成烂尾 损失超600亿s</a>
					<div>
						短暂的一类但是在球员们信心十足也而现在足球水平有是有比赛当亚琛队和挣一点中国来除此之外1977年在一点就是肖卿家境相当第一场比赛这个好像还全部的么一些睡得迷迷糊糊的肖卿突入禁区被出击的多高就是欠你小姑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ODbk84.html" rel="bookmark" class="title">ZOJ 2112 Dynamic Rankings（主席树套树状数组&plus;静态主席树）</a>
					<div>
						题意:给定一个区间,求这个区间第k大的数,支持单点修改. 思路:主席树真是个神奇的东西.........速度很快但是也有一个问题就是占用内存的很大,一般来说支持单点修改的主席树套树状数组空间复杂度为O ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPw9yz4.html" rel="bookmark" class="title">引用类型变量和非引用类型变量的区别</a>
					<div>
						#include&lt;stdio.h&gt; void fa(int a){ a++; printf(&quot;在函数a中,a = %d\n&quot;, a); } void fb(int &a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pQj7JM.html" rel="bookmark" class="title">服务器监控设置</a>
					<div>
						本文为大家介绍如何通过OSSIM实现对服务器的监控,特点是操作简单.速度快. 监控环境如下: 第一步:准备服务器一台,安装OSSIM系统 第二步:登录Web UI开始设置,选择Tools菜单下的网络资 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wjjkZ0.html" rel="bookmark" class="title">python TypeError&colon; &amp;&num;39&semi;NoneType&amp;&num;39&semi; object is not iterable</a>
					<div>
						list(set(map(lambda tp_id : tp_id if not ('#' in tp_id) and len(tp_id.strip().replace('\n', '')) &gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41z7XJM.html" rel="bookmark" class="title">1-MSP430点亮一个灯</a>
					<div>
						为了写一篇文章做铺垫--提醒着自己,,,,,, 现在看一下程序 还是说一下是怎么关掉的 往WDTCTL寄存器里写入了0x5A00,,为什么要写这个呢! 那么 WDTCTL = 0x005A  + 0x ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/022znp0.html" rel="bookmark" class="title">Linux下top订购具体解释</a>
					<div>
						Linux下top订购具体解释 watermark/2/text/aHR0cDovL2Jsb2cuY3Nkbi5uZXQvempmMjgwNDQxNTg5/font/5a6L5L2T/fontsize ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QjNoQM.html" rel="bookmark" class="title">微软 Windows 10 物联网版系统  IoT 介绍 树莓派2  可以装一下</a>
					<div>
						微软在发布Win10的同时,还发布了 微软 Windows 10 物联网版系统  IoT . 大家可以下载用虚拟机玩一下,很不错哟,看来Android和IOS也有新的竞争对手了,有智能家居的可以试试. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWq8ab3.html" rel="bookmark" class="title">android  intent  pick</a>
					<div>
						(一).调用本地联系人: Intent intent = new Intent(Intent.ACTION_PICK); intent.setType(ContactsContract.Contact ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzBNPAM.html" rel="bookmark" class="title">JVM系统性能监控总结</a>
					<div>
						(1) uptime 查看系统运行时间.连接数(终端连接数).平均负载 (2) top 查看CPU.内存.交换空间使用情况,可以看到当前系统性能进程消耗资源情况 (3) vmstat 统计系统CPU. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wBkDl0.html" rel="bookmark" class="title">iOS自学之NSOperation、NSOperationQueue、Background</a>
					<div>
						iOS中多线程编程主要分为NSThread.NSOperation和GCD,今天主要记录下自己在学习NSOperation中的点滴-如有不对的地方帮忙指出下,PS:人生第一次写blog,各位看官请轻虐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWdq1r0.html" rel="bookmark" class="title">zabbix 自动发现端口进行监控</a>
					<div>
						zabbix 探索规则自带磁盘及网卡的,参照后整理探索端口并自动添加监控报警功能 : shell脚本: #!/bin/bash port_array=(`netstat -tnlp|egrep -i  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AxDLb3.html" rel="bookmark" class="title">二叉树及其线索化分析</a>
					<div>
						1. Where did it could work? /** *    Q: Where did it could work? * *    A: Bin-tree is generally use ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.034 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
